RaisFastRaisFast

Orders

Orders

GET
/api/v1/admin/orders

Authorization

bearer_auth
AuthorizationBearer <token>

In: header

Response Body

curl -X GET "https://example.com/api/v1/admin/orders"
Empty
GET
/api/v1/admin/orders/stats

Authorization

bearer_auth
AuthorizationBearer <token>

In: header

Response Body

curl -X GET "https://example.com/api/v1/admin/orders/stats"
Empty
GET
/api/v1/admin/orders/{id}

Authorization

bearer_auth
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Order ID

Response Body

curl -X GET "https://example.com/api/v1/admin/orders/string"
Empty
POST
/api/v1/admin/orders/{id}/cancel

Authorization

bearer_auth
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Order ID

Response Body

curl -X POST "https://example.com/api/v1/admin/orders/string/cancel"
Empty
POST
/api/v1/admin/orders/{id}/pay

Authorization

bearer_auth
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Order ID

Response Body

curl -X POST "https://example.com/api/v1/admin/orders/string/pay"
Empty
POST
/api/v1/admin/orders/{id}/refund

Authorization

bearer_auth
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Order ID

Response Body

curl -X POST "https://example.com/api/v1/admin/orders/string/refund"
Empty
PUT
/api/v1/admin/orders/{id}/remark

Authorization

bearer_auth
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Order ID

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

admin_remark*string

Response Body

curl -X PUT "https://example.com/api/v1/admin/orders/string/remark" \  -H "Content-Type: application/json" \  -d '{    "admin_remark": "string"  }'
Empty
POST
/api/v1/admin/orders/{id}/ship

Authorization

bearer_auth
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Order ID

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

curl -X POST "https://example.com/api/v1/admin/orders/string/ship" \  -H "Content-Type: application/json" \  -d '{}'
Empty
GET
/api/v1/orders

Authorization

bearer_auth
AuthorizationBearer <token>

In: header

Response Body

curl -X GET "https://example.com/api/v1/orders"
Empty
POST
/api/v1/orders

Authorization

bearer_auth
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

curl -X POST "https://example.com/api/v1/orders" \  -H "Content-Type: application/json" \  -d '{    "items": [      {        "product_id": "string",        "quantity": 0      }    ]  }'
Empty
GET
/api/v1/orders/{id}

Authorization

bearer_auth
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Order ID

Response Body

curl -X GET "https://example.com/api/v1/orders/string"
Empty
PUT
/api/v1/orders/{id}

Authorization

bearer_auth
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Order ID

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

curl -X PUT "https://example.com/api/v1/orders/string" \  -H "Content-Type: application/json" \  -d '{}'
Empty
POST
/api/v1/orders/{id}/confirm

Authorization

bearer_auth
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Order ID

Response Body

curl -X POST "https://example.com/api/v1/orders/string/confirm"
Empty